import 'package:cpt_main/modules/feedback/feedback_page.dart';
import 'package:cs_resources/theme/app_colors_theme.dart';
import 'package:domain/entity/home_list_entity.dart';
import 'package:flutter/material.dart';
import 'package:widgets/ext/ex_widget.dart';
import 'package:widgets/my_load_image.dart';
import 'package:widgets/my_text_view.dart';

class ManageGuideItem extends StatelessWidget {
  HomeListPropertyNews manageGuide;

  ManageGuideItem({required this.manageGuide});

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      mainAxisAlignment: MainAxisAlignment.start,
      children: [
        MyLoadImage(
          manageGuide.coverImage,
          fit: BoxFit.contain,
        ).marginOnly(top: 10),
        MyTextView(
          manageGuide.title ?? "",
          marginLeft: 9,
          marginTop: 10,
          maxLines: 2,
          fontSize: 14,
          isFontMedium: true,
          textColor: context.appColors.tabTextUnSelectedPrimary,
        ),
      ],
      // ),
    )
        .decorated(
          color: context.appColors.lightBlueBg,
          borderRadius: BorderRadius.circular(5.0), // 5个圆角
          boxShadow: [
            BoxShadow(
              color: const Color(0xFF656565).withOpacity(0.1), // 阴影颜色，并且设置透明度
              offset: const Offset(0, 1.5), // 阴影的偏移量
              blurRadius: 2.5, // 模糊半径
              spreadRadius: 1.5, // 扩散半径
            ),
          ],
        )
        .marginOnly(right: 10)
        .constrained(width: 130, height: 142.5);
  }
}
